Bug 1787207 - please migrate to the new Fedora translation platform
Summary: please migrate to the new Fedora translation platform
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-01 13:00 UTC by jibecfed
Modified: 2020-03-22 07:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-22 07:06:03 UTC
Type: Bug


Attachments (Terms of Use)

Description jibecfed 2020-01-01 13:00:03 UTC
Hello, the Fedora project migrates its translation platform to Weblate [1].

This tool directly interact with your git repository, and requires us to know:
* [mandatory] which branch is your development branch?
* [mandatory] have you merged latest translation from Zanata and locked the project?
* [info] Weblate will handle updates when pot file changes, don't edit po files for this [2]
* [optional] what is the license of translation? (please use a code from https://spdx.org/licenses/)
* [optional] do you have any announcement/warning you would like to display to the translators? (it will be displayed in Weblate)
* [optional] do you need us to activate any specific checks? (this is a setting per component [3])
* [optional] do you need us to automatically detect new translation files? (typical usecase: website translation with one translation file per page)

Please note:
* For github hosted projects, Weblate open pull request. For other project, you'll have to add a key to allow commits.
* In Weblate's vocable, one project is a group of component. Each component is a translation file. You can have many projects or many components or both.
* You can change your mind over time, just reach trans@lists.fedoraproject.org

[1] https://communityblog.fedoraproject.org/fedora-localization-platform-migrates-to-weblate/ 
[2] https://docs.weblate.org/en/latest/admin/continuous.html#avoiding-merge-conflicts
[3] https://docs.weblate.org/en/latest/user/checks.html#translation-checks

Comment 1 Ben Cotton 2020-02-11 17:19:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Marek Blaha 2020-03-19 14:34:23 UTC
Repository for dnf-plugins-extras translations has been created: https://github.com/rpm-software-management/dnf-plugins-extras-l10n

Comment 3 jibecfed 2020-03-19 21:16:14 UTC
please delete po files with no translations

I configured the component but locked it until you delete empty translations files.
Please unlock and rebase the component once done: https://translate.fedoraproject.org/projects/dnf/dnf-plugins-extras/#repository

Comment 4 Marek Blaha 2020-03-20 06:24:03 UTC
The empty files are removed. Project was also rebased and unlocked on weblate side.

Comment 5 jibecfed 2020-03-22 07:06:03 UTC
Thank you Marek, can you please reach me in IRC on fedora-devel, on fedora-meeting-1 tomorrow at 1PM french time?


Note You need to log in before you can comment on or make changes to this bug.